/** --------------------------------------------------------------------

	FOOTER MODULES

--------------------------------------------------------------------- */

.et-l--footer {
	background:#1e1e31;
	color:#fff;
}

.footer-col2 strong, .footer-col3 strong {
	display:inline-block !important;
	border-bottom:4px solid #d9205d;
	margin-bottom:20px
}

.footer-col3 p:first-of-type {
	padding-bottom:0 !important;
}

.footer-col3 ul li::marker {
color:#1265b9;
}

.footer-col3 ul li {
	padding-left:5px;
	margin-bottom:10px;
}


/* MISE EN PAGE MOBILE */

@media (max-width: 990px) {
	.footer-4-columns .et_pb_column_2_tb_footer,
	.footer-4-columns .et_pb_column_3_tb_footer,
	.footer-4-columns .et_pb_column_4_tb_footer,
		.footer-4-columns .et_pb_column_5_tb_footer{
		width:100% !important;
  }
}


/* Contact */
.footer-bt-contact,
.footer-bt-tel,
.footer-bt-newsletter {
    width: 100%;
    display: inline-block;
    padding: 8px 20px !important;
    border-radius: 4px;
    text-align: center;
    cursor: pointer;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	letter-spacing:0.03em;
    transition: background-color 0.4s ease, color 0.4s ease !important;
}

.footer-bt-contact::before,
.footer-bt-tel::before,
.footer-bt-newsletter::before {
    content: '';
    display: inline-block;
    vertical-align: middle;
    width: 18px;
    height: 18px;
    margin-right: 16px;
    margin-top: 0px;
    background-size: contain;
    background-repeat: no-repeat;
}

.footer-bt-contact {
    color: #fff;
    background-color: #1265b9;
}

.footer-bt-tel {
    color: #fff;
    background-color: #d9205d;
}

.footer-bt-newsletter {
	font-family:'SF UI Display Bold', Arial, sans-serif !important;
    color: #1e1e31;
    background-color: #fff;
}

.footer-bt-contact:hover,
.footer-bt-tel:hover,
.footer-bt-newsletter:hover {
    background-color: #b8d0e9;
    color: #1e1e31;
}

/* Specific icon adjustments and filters */
.footer-bt-contact::before {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/footer-mail2.svg');
    filter: invert(98%) sepia(0%) saturate(0%) hue-rotate(338deg) brightness(101%) contrast(104%);
}

.footer-bt-contact:hover::before {
    filter: invert(9%) sepia(20%) saturate(1331%) hue-rotate(201deg) brightness(95%) contrast(92%);
}

.footer-bt-tel::before {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/footer-tel2.svg');
    width: 22px;
    height: 22px;
    filter: invert(98%) sepia(0%) saturate(0%) hue-rotate(338deg) brightness(101%) contrast(104%);
}

.footer-bt-tel:hover::before {
    filter: invert(9%) sepia(20%) saturate(1331%) hue-rotate(201deg) brightness(95%) contrast(92%);
}

.footer-bt-newsletter::before {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/newsletter.svg');
    filter: brightness(0) saturate(100%) invert(10%) sepia(8%) saturate(3338%) hue-rotate(201deg) brightness(92%) contrast(93%);
}

.footer-bt-newsletter:hover::before {
    filter: invert(9%) sepia(20%) saturate(1331%) hue-rotate(201deg) brightness(95%) contrast(92%);
}



/* RS */

.footer-icons {
    display: flex;
    justify-content: center;
    gap: 20px; /* Espace entre les icônes */
}

.icon-container {
    position: relative;
    width: 50px; /* Ajustez la largeur selon votre besoin */
    height: 50px; /* Ajustez la hauteur selon votre besoin */
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.4s ease; /* Ajoute une transition pour le changement de couleur de fond */
}

.icon-container::before {
    content: '';
    position: absolute;
    width: 100%; /* Utilise la largeur du .icon-container */
    height: 100%; /* Utilise la hauteur du .icon-container */
    background-color: #cad9e9; /* Couleur de fond du cercle */
    border-radius: 50%; /* Pour faire un cercle */
    z-index: 1;
    transition: background-color 0.4s ease; /* Transition pour le changement de couleur de fond */
}

.icon-container:hover::before {
    background-color: #ffffff; /* Fond blanc au survol */
}

.footer-icons .x-icon::after, 
.footer-icons .facebook-icon::after, 
.footer-icons .insta-icon::after {
    content: '';
    position: absolute;
    z-index: 2; /* Place l'icône au-dessus du cercle */
    width: 24px; /* Ajustez la taille de l'icône selon vos besoins */
    height: 24px; /* Ajustez la taille de l'icône selon vos besoins */
}

.footer-icons .x-icon::after {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/x-social.svg');
    filter: brightness(0) saturate(100%) invert(31%) sepia(12%) saturate(2602%) hue-rotate(184deg) brightness(90%) contrast(93%);
}

.footer-icons .facebook-icon::after {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/facebook-outline.svg');
    filter: brightness(0) saturate(100%) invert(31%) sepia(12%) saturate(2602%) hue-rotate(184deg) brightness(90%) contrast(93%);
}

.footer-icons .insta-icon::after {
    background-image: url('/wp-content/themes/Divi-Child/img/ico/instagram.svg');
    filter: brightness(0) saturate(100%) invert(31%) sepia(12%) saturate(2602%) hue-rotate(184deg) brightness(90%) contrast(93%);
}

/* Ajuste l'icône pour qu'elle soit centrée */
.footer-icons .icon-container::after {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}


/* FOOTER GENERAL */


.footer {
  position: relative; overflow: hidden ;background-position: right bottom;
  background-clip: padding-box;
}

.footer::before {
  content: '';
	background-image:url('/wp-content/themes/Divi-Child/img/ico/forme-abstraite.svg');
  background-repeat: no-repeat;
  position: absolute;
  right: -700px;
  bottom: -580px;
  width: 1200px;
  height:1000px;
  opacity: 0.05; /* Ajustez cette valeur entre 0 et 1 pour changer l'opacité */
filter: grayscale(100%);
}



/* FORMULAIRES */



/* FORMULAIRES */

.quform-form input, .quform-form textarea, .quform-form select {
	border-color:#bbb !important;
	box-shadow: none !important;
	letter-spacing: 0.03em;
}

.quform-label-text {
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	color:#000 !important;
}

.quform-submit {
	font-size:1em;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	padding:16px 32px !important;
	background:#1265b9 !important;
	border:0 !important;
	color:#FFF !important;
	margin-top:20px !important;
}

.quform-submit:hover {
	background:#b8d0e9 !important;
	color:#1f1e31 !important
}

.quform-submit::before {
	content: '';
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    margin-right: 16px;
    margin-top: 0px;
    background-size: contain;
    background-repeat: no-repeat;
	background-image: url('/wp-content/themes/Divi-Child/img/ico/newsletter.svg') !important;
	filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(74deg) brightness(103%) contrast(101%);
}

.quform-submit:hover::before {	
	filter: invert(8%) sepia(9%) saturate(3724%) hue-rotate(204deg) brightness(95%) contrast(88%);
}

.quform-button-submit.quform-button-submit-default{
	float:none !important;
}

 .quform-element-submit, .quform-submit{
    display: block !important; /* S'assure que le bouton agit comme un bloc */
    margin: 20px auto 0 auto !important; /* Centrage horizontal */
    text-align: center !important; /* S'assure que le contenu à l'intérieur reste centré */
}

